Subject: RE: [Enum] draft-lind-enum-callflows-03.txt, RFC2916bis default a ction

From: "Stastny, Richard" <[email-masked]>
Date: Thu, 7 Mar 2002 15:07:24 +0100

Lawrence wrote:
> I'm still not completely sure about whether one SHOULD NOT 
> have a tel: URI
> that evaluates to the same E.164 number as the domain, or one 
> SHOULD (so
> that this "tight loop" can indicate that this is the end of a 
> tel: redirect
> process)

I thought, that the "u" flag can do this? If we agree, that there is a
redirect of tel:
But I agree, we should discuss this at the IETF meeting.

Nevertheless, the default action is still valid.

best regards
Richard

Richard STASTNY
OeFEG
Arsenal Objekt 24
P.O. Box 147
A-1103 Vienna, Austria

Tel: +43 664 420 4100
Fax: +43 1 79780 13
[email-masked]
[email-masked]

> -----Original Message-----
> From: Lawrence Conroy [mailto:[email-masked]]
> Sent: Thursday, March 07, 2002 1:57 PM
> To: Stastny, Richard; [email-masked]; [email-masked];
> [email-masked]
> Cc: [email-masked]
> Subject: RE: [Enum] draft-lind-enum-callflows-03.txt, 
> RFC2916bis default
> action
> 
> 
> At 12:15 pm +0100 7/3/02, Stastny, Richard wrote:
> >Dear Colleagues,
> >
> >In section 5.3 Call from a Terminal on an IP-based Network 
> to a phone on the
> >PSTN
> >of draft-lind-enum-callflows-03.txt, Steve explains:
> >    <snip>
> 
> <snip>
> 
> >Considering the discussion with Patrik on the examples in 
> RFC2916bis, that a
> >NAPTR with the same number in the tel: URI does not make 
> much sense, and
> >also, that in Steve example exactly the same action takes 
> place, if DNS
> >returns the URI tel:+13015551234 or if no records exist. I suggest to
> >include something like following statement somewhere in RFC2916:
> >
> >Default Action of the client:
> >
> >If the ENUM query for a given AUS does not return a result 
> (404), the action
> >taken by the client SHALL be the same as if the result would 
> have been:
> >      IN NAPTR 10 10 "u" "E2U+tel"     "!^(.*$)$!tel:\1!"     .
> >
> <snip>
> 
> To which I reply:
>    Hi Richard, folks,
> 
> I'm still not completely sure about whether one SHOULD NOT 
> have a tel: URI
> that evaluates to the same E.164 number as the domain, or one 
> SHOULD (so
> that this "tight loop" can indicate that this is the end of a 
> tel: redirect
> process).
> It's certainly one of the open issues with the 'tel' 
> ENUMservice that we
> intended to raise at MSP.
> It also ties in with Richard's earlier comment on the use of tel: URI
> parameters, and the possible evaluation of the contents from 
> a local number,
> qualified with a phone-context, through to a "full" E.164 number
> (Which is another open issue with use of tel: URIs, also to 
> be raised in MSP).
> 
> Speaking of tel: URI parameters, is the intention to cover 
> the CPC draft in
> ENUM or in SIP//SIPPING or both or...?
> 
> Best Regards,
>     Lawrence
> -- 
> [email-masked]: +44 1794 833666::<my opinions>:
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: "Lind, Steven D, ALASO" <[email-masked]>
Date: Thu, 7 Mar 2002 09:46:55 -0500

I don't know if this clarifies the discussion or not, but here goes.

A. I would think that getting back a tel: URI wouldn't re-invoke ENUM lookups. I don't know if people were saying that but I got that sense.

B. While only getting back a tel: URI with the same number would be pretty dumb, the examples in the callflows I-D are _really_ simple. I could envision an application that might receive a series of voice-related URIs (either tel: or sip: or otherwise) that, based on priority might be tried in succession until you got one to answer. For example, querying against my home number, might get you four voice-related URIs, i.e., (1) tel:<home>, (2)sip:<office>, (3)tel:<mobile>, (4)vpim:<voice mail>. If one number didn't answer within 3 rings, you could try the next; the last would be the failsafe.

Steve

-----Original Message-----
From: Stastny, Richard [mailto:[email-masked]]
Sent: Thursday, March 07, 2002 9:07 AM
To: 'Lawrence Conroy'; Stastny, Richard; Lind, Steven D, ALASO;
[email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [Enum] draft-lind-enum-callflows-03.txt, RFC2916bis default
a ction

best regards
Richard

Richard STASTNY
OeFEG
Arsenal Objekt 24
P.O. Box 147
A-1103 Vienna, Austria

Tel: +43 664 420 4100
Fax: +43 1 79780 13
[email-masked]
[email-masked]